net.i2p.router.web

## Class ConfigUpdateHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.ConfigUpdateHandler

-     public class ConfigUpdateHandler
      extends FormHandler

  Handler for router update configuration.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_NEWS_URL_SU3` current default, i2pnews.i2p, run by echelon NOTE: If you change, also change in Android: app/src/main/java/net/i2p/android/apps/NewsFetcher.java
    `static String` | `DEFAULT_PROXY_HOST`
    `static String` | `DEFAULT_PROXY_PORT`
    `static int` | `DEFAULT_PROXY_PORT_INT`
    `static long` | `DEFAULT_REFRESH_FREQ`
    `static String` | `DEFAULT_REFRESH_FREQUENCY`
    `static boolean` | `DEFAULT_SHOULD_PROXY`
    `static boolean` | `DEFAULT_SHOULD_PROXY_NEWS`
    `static String` | `DEFAULT_UPDATE_POLICY`
    `static boolean` | `DEFAULT_UPDATE_UNSIGNED` default true
    `static String` | `DEFAULT_UPDATE_URL` These are only for .sud and .su2.
    `static String` | `PROP_DEV_SU3_URL` no default
    `static String` | `PROP_NEWS_URL`
    `static String` | `PROP_PROXY_HOST`
    `static String` | `PROP_PROXY_PORT`
    `static String` | `PROP_REFRESH_FREQUENCY`
    `static String` | `PROP_SHOULD_PROXY`
    `static String` | `PROP_SHOULD_PROXY_NEWS`
    `static String` | `PROP_TRUSTED_KEYS`
    `static String` | `PROP_UPDATE_DEV_SU3` default false
    `static String` | `PROP_UPDATE_DISABLED` default false - use for distros
    `static String` | `PROP_UPDATE_POLICY`
    `static String` | `PROP_UPDATE_UNSIGNED`
    `static String` | `PROP_UPDATE_URL`
    `static String` | `PROP_ZIP_URL` no default
    `static boolean` | `USE_SU3_UPDATE` Only enabled if we have trusted public key certificates installed

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigUpdateHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processForm()` Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
    `static int` | `proxyPort(I2PAppContext ctx)` Convenience method for updaters
    `void` | `setDevSU3URL(String url)`
    `void` | `setNewsThroughProxy(String foo)`
    `void` | `setNewsURL(String url)`
    `void` | `setProxyHost(String host)`
    `void` | `setProxyPort(String port)`
    `void` | `setRefreshFrequency(String freq)`
    `void` | `setTrustedKeys(String keys)`
    `void` | `setUpdateDevSU3(String foo)`
    `void` | `setUpdatePolicy(String policy)`
    `void` | `setUpdateThroughProxy(String foo)`
    `void` | `setUpdateUnsigned(String foo)`
    `void` | `setUpdateURL(String url)`
    `void` | `setZipURL(String url)`

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_NEWS_URL_SU3

          public static final String DEFAULT_NEWS_URL_SU3

      current default, i2pnews.i2p, run by echelon NOTE: If you change, also change in Android: app/src/main/java/net/i2p/android/apps/NewsFetcher.java
      See Also:
        Constant Field Values

    - #### DEFAULT_PROXY_HOST

          public static final String DEFAULT_PROXY_HOST

      See Also:
        Constant Field Values

    - #### DEFAULT_PROXY_PORT

          public static final String DEFAULT_PROXY_PORT

    - #### DEFAULT_PROXY_PORT_INT

          public static final int DEFAULT_PROXY_PORT_INT

      See Also:
        Constant Field Values

    - #### DEFAULT_REFRESH_FREQ

          public static final long DEFAULT_REFRESH_FREQ

      See Also:
        Constant Field Values

    - #### DEFAULT_REFRESH_FREQUENCY

          public static final String DEFAULT_REFRESH_FREQUENCY

    - #### DEFAULT_SHOULD_PROXY

          public static final boolean DEFAULT_SHOULD_PROXY

      See Also:
        Constant Field Values

    - #### DEFAULT_SHOULD_PROXY_NEWS

          public static final boolean DEFAULT_SHOULD_PROXY_NEWS

      See Also:
        Constant Field Values

    - #### DEFAULT_UPDATE_POLICY

          public static final String DEFAULT_UPDATE_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_UPDATE_UNSIGNED

          public static final boolean DEFAULT_UPDATE_UNSIGNED

      default true
      See Also:
        Constant Field Values

    - #### DEFAULT_UPDATE_URL

          public static final String DEFAULT_UPDATE_URL

      These are only for .sud and .su2. Do NOT use this for .su3

    - #### PROP_DEV_SU3_URL

          public static final String PROP_DEV_SU3_URL

      no default
      See Also:
        Constant Field Values

    - #### PROP_NEWS_URL

          public static final String PROP_NEWS_URL

      See Also:
        Constant Field Values

    - #### PROP_PROXY_HOST

          public static final String PROP_PROXY_HOST

      See Also:
        Constant Field Values

    - #### PROP_PROXY_PORT

          public static final String PROP_PROXY_PORT

      See Also:
        Constant Field Values

    - #### PROP_REFRESH_FREQUENCY

          public static final String PROP_REFRESH_FREQUENCY

      See Also:
        Constant Field Values

    - #### PROP_SHOULD_PROXY

          public static final String PROP_SHOULD_PROXY

      See Also:
        Constant Field Values

    - #### PROP_SHOULD_PROXY_NEWS

          public static final String PROP_SHOULD_PROXY_NEWS

      See Also:
        Constant Field Values

    - #### PROP_TRUSTED_KEYS

          public static final String PROP_TRUSTED_KEYS

      See Also:
        Constant Field Values

    - #### PROP_UPDATE_DEV_SU3

          public static final String PROP_UPDATE_DEV_SU3

      default false
      See Also:
        Constant Field Values

    - #### PROP_UPDATE_DISABLED

          public static final String PROP_UPDATE_DISABLED

      default false - use for distros
      See Also:
        Constant Field Values

    - #### PROP_UPDATE_POLICY

          public static final String PROP_UPDATE_POLICY

      See Also:
        Constant Field Values

    - #### PROP_UPDATE_UNSIGNED

          public static final String PROP_UPDATE_UNSIGNED

      See Also:
        Constant Field Values

    - #### PROP_UPDATE_URL

          public static final String PROP_UPDATE_URL

      See Also:
        Constant Field Values

    - #### PROP_ZIP_URL

          public static final String PROP_ZIP_URL

      no default
      See Also:
        Constant Field Values

    - #### USE_SU3_UPDATE

          public static final boolean USE_SU3_UPDATE

      Only enabled if we have trusted public key certificates installed

  - ### Constructor Detail

    - #### ConfigUpdateHandler

          public ConfigUpdateHandler()

  - ### Method Detail

    - #### processForm

          protected void processForm()

      Description copied from class: `FormHandler`
      Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
      Specified by:
        `processForm` in class `FormHandler`

    - #### proxyPort

          public static int proxyPort(I2PAppContext ctx)

      Convenience method for updaters
      Returns:
        the configured value, else the registered HTTP proxy, else the default

    - #### setDevSU3URL

          public void setDevSU3URL(String url)

    - #### setNewsThroughProxy

          public void setNewsThroughProxy(String foo)

    - #### setNewsURL

          public void setNewsURL(String url)

    - #### setProxyHost

          public void setProxyHost(String host)

    - #### setProxyPort

          public void setProxyPort(String port)

    - #### setRefreshFrequency

          public void setRefreshFrequency(String freq)

    - #### setTrustedKeys

          public void setTrustedKeys(String keys)

    - #### setUpdateDevSU3

          public void setUpdateDevSU3(String foo)

    - #### setUpdatePolicy

          public void setUpdatePolicy(String policy)

    - #### setUpdateThroughProxy

          public void setUpdateThroughProxy(String foo)

    - #### setUpdateUnsigned

          public void setUpdateUnsigned(String foo)

    - #### setUpdateURL

          public void setUpdateURL(String url)

    - #### setZipURL

          public void setZipURL(String url)